
Though it was many years ago (1994), I normally dream about the accident once or twice a year. I don't fully remember everything in its entirety. After not having much sleep the night before, I decided to drive first shift, beginning at 4:30 A M. Close to 6:00 A M, my boyfriend and other friend drifted off to sleep, leaving me to keep myself awake. The sun was rising because I reached for my sunglasses. Within 10 minutes, maybe less, I hit an open trailer without construction equipment and upon impact, I passed out as we flipped and rolled and slid. The same truck, I had previously passed going 70 MPH, but the trucker told us he saw me decline in speed and run off the road. I over-corrected, and that's when we hit him.

The next thing I remember was a feeling of floating and peace. I'm certain there was a lot of noise from the car crashing, but I didn't hear any of it. It seemed as though I was in a peaceful, dark tunnel. Upon the SUV stopping, I laid upside-down with my seat belt still on. When I came 'back to life', my boyfriend was screaming my name!

That's when we realized the SUV had landed on my hand. Thank God, we landed on grass, or my left hand could have been gone. The emergency medical technicians used the Jaws of Life to free me and then take me to the hospital. We were released that day. I've had daily pain ever since, but the emergency room doctors couldn't understand how we weren't dead. The wrecker/tow truck man told me that I'd better be on my knees TONIGHT because God had a bigger plan for me. I should have most definitely died. Wow, I've never forgotten it. Physically, I have a lot of pain every day, but I work and manage as I can. Spiritually, I see, hear, and experience things like I never have before. Some call it a gift, but most days it's relentless. I'm not certain if that day I met God, Jesus, or angels, but as I flowed through the tunnel or whatever it was, it was the most calm and peaceful I'd been in my existence. I'm much closer to God now than ever, as daily prayer helps to bring me back to that place of peacefulness.
